Bug 1231262 - Review Request: debbuild - Build Debian-compatible .deb packages from RPM .spec files
Summary: Review Request: debbuild - Build Debian-compatible .deb packages from RPM .sp...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-12 14:06 UTC by Neal Gompa
Modified: 2015-08-01 20:00 UTC (History)
2 users (show)

Fixed In Version: debbuild-0.11.2-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-30 00:41:15 UTC
msuchy: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Neal Gompa 2015-06-12 14:06:39 UTC
Spec URL: http://kinginuyasha.enanocms.org/downloads/debbuild.spec

SRPM URL: http://kinginuyasha.enanocms.org/downloads/debbuild-0.10.1-1.fc22.src.rpm

Description:
debbuild attempts to build Debian-friendly semi-native packages from
RPM spec files, RPM-friendly tarballs, and RPM source packages
(.src.rpm files).  It accepts most of the options rpmbuild does, and
should be able to interpret most spec files usefully.

Fedora Account System Username: ngompa

Comment 1 Miroslav Suchý 2015-07-03 09:58:12 UTC
> BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
> rm -rf $RPM_BUILD_ROOT
> %defattr(-,root,root,-)

This is not needed since F11, so unless you want to build this package for EL5, you should remove it.

> $RPM_BUILD_ROOT
Can you choose one style of variables? I suggest to replace this by %{buildroot}.

> nothing provides xz-utils needed by debbuild-0.10.1-1.fc22.noarch
AFAIK it is needed because of/usr/bin/xz which are in "xz" in Fedora. 

I would suggest to change Requires of dpkg-dev to:
Recommends: dpkg-dev
as it provides /usr/bin/dpkg-architecture which is used if available and greatly enhance user experience. But this program will run without it.

Comment 2 Neal Gompa 2015-07-05 12:02:58 UTC
The main reason I didn't use Recommends is because Enterprise Linux and Fedora 21 don't support resolving weak dependencies. I've now added a conditional to switch between Requires and Recommends based on whether it is EL or Fedora versions lower than 22. I've also fixed the xz dependency.

I've removed the EL5 specific stuff since EL5 is ancient and I don't really care about that release anyway.

Here's the updated SRPM URL: http://kinginuyasha.enanocms.org/downloads/debbuild-0.10.1-2.fc22.src.rpm

The Spec URL remains the same: http://kinginuyasha.enanocms.org/downloads/debbuild.spec

Comment 3 Miroslav Suchý 2015-07-06 07:51:49 UTC
APPROVED

The diff in SRPM is very minor issue, just be sure you are uploading SRPM with correct changelog in dist-git.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Diff spec file in url and in SRPM
---------------------------------
--- /home/mirek/projects/mock/1231262-debbuild/srpm/debbuild.spec       2015-07-05 14:55:58.231903413 +0200
+++ /home/mirek/projects/mock/1231262-debbuild/srpm-unpacked/debbuild.spec      2015-07-05 13:21:47.000000000 +0200
@@ -51,7 +51,5 @@
 %changelog
 * Sun Jul  5 2015 Neal Gompa <ngompa13{%}gmail{*}com> - 0.10.1-2
-- Fix dependencies on dpkg-dev and xz
-- Remove superfluous spec statements (BuildRoot, etc.)
-- Make variable usage consistent
+- Fix dependencies
 
 * Fri Jun 12 2015 Neal Gompa <ngompa13{%}gmail{*}com> - 0.10.1-1

Comment 4 Neal Gompa 2015-07-08 11:00:38 UTC
New Package SCM Request
=======================
Package Name: debbuild
Short Description: Build Debian-compatible .deb packages from RPM .spec files
Upstream URL: https://secure.deepnet.cx/trac/debbuild
Owners: ngompa
Branches: f21 f22 el6 epel7
InitialCC:

Comment 5 Gwyn Ciesla 2015-07-08 11:58:53 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2015-07-09 00:49:37 UTC
debbuild-0.10.1-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/debbuild-0.10.1-2.fc22

Comment 7 Fedora Update System 2015-07-09 01:57:44 UTC
debbuild-0.10.1-5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/debbuild-0.10.1-5.fc22

Comment 8 Fedora Update System 2015-07-09 01:58:52 UTC
debbuild-0.10.1-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/debbuild-0.10.1-5.fc21

Comment 9 Fedora Update System 2015-07-09 01:59:43 UTC
debbuild-0.10.1-5.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/debbuild-0.10.1-5.el7

Comment 10 Fedora Update System 2015-07-09 02:00:34 UTC
debbuild-0.10.1-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/debbuild-0.10.1-5.el6

Comment 11 Fedora Update System 2015-07-13 18:29:48 UTC
debbuild-0.10.1-5.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 12 Fedora Update System 2015-07-17 03:25:31 UTC
debbuild-0.11.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/debbuild-0.11.2-1.fc22

Comment 13 Fedora Update System 2015-07-17 03:26:46 UTC
debbuild-0.11.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/debbuild-0.11.2-1.fc21

Comment 14 Fedora Update System 2015-07-17 03:28:05 UTC
debbuild-0.11.2-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/debbuild-0.11.2-1.el7

Comment 15 Fedora Update System 2015-07-17 03:29:00 UTC
debbuild-0.11.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/debbuild-0.11.2-1.el6

Comment 16 Fedora Update System 2015-07-30 00:41:15 UTC
debbuild-0.11.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-07-30 01:06:30 UTC
debbuild-0.11.2-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-08-01 20:00:15 UTC
debbuild-0.11.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-08-01 20:00:24 UTC
debbuild-0.11.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.